Package org.optaplanner.benchmark.impl.statistic.bestscore

## Class BestScoreProblemStatistic

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.ProblemStatistic
  - - org.optaplanner.benchmark.impl.statistic.bestscore.BestScoreProblemStatistic

-     public class BestScoreProblemStatistic
      extends ProblemStatistic

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<File>` | `graphFileList` |

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic

      `logger, problemBenchmarkResult, problemStatisticType, warningList`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BestScoreProblemStatistic​(ProblemBenchmarkResult problemBenchmarkResult)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SubSingleStatistic` | `createSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)` |
    `List<File>` | `getGraphFileList()` |
    `void` | `writeGraphFiles​(BenchmarkReport benchmarkReport)` |

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic

      `accumulateResults, fillWarningList, getAnchorId, getGraphFile, getProblemBenchmarkResult, getProblemStatisticType, getSubSingleStatisticList, getWarningList, setProblemBenchmarkResult, toString, writeChartToImageFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### graphFileList

          protected List<File> graphFileList

  - ### Constructor Detail

    - #### BestScoreProblemStatistic

          public BestScoreProblemStatistic​(ProblemBenchmarkResult problemBenchmarkResult)

  - ### Method Detail

    - #### createSubSingleStatistic

          public SubSingleStatistic createSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)

      Specified by:
        `createSubSingleStatistic` in class `ProblemStatistic`

    - #### getGraphFileList

          public List<File> getGraphFileList()

      Specified by:
        `getGraphFileList` in class `ProblemStatistic`
      Returns:
        never null

    - #### writeGraphFiles

          public void writeGraphFiles​(BenchmarkReport benchmarkReport)

      Specified by:
        `writeGraphFiles` in class `ProblemStatistic`